Bug 903709 - [RFE] support importing arm distros with multiple kernel types
Summary: [RFE] support importing arm distros with multiple kernel types
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Dan Callaghan
QA Contact: Amit Saha
URL:
Whiteboard: DistroManagement
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-24 15:58 UTC by Bill Peck
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:00 UTC


Attachments (Terms of Use)

Description Bill Peck 2013-01-24 15:58:48 UTC
Description of problem:

armhfp uses a special importer because of the different kernel types.  arm needs this support as well.

Version-Release number of selected component (if applicable):
0.11

Comment 1 Bill Peck 2013-01-24 16:01:34 UTC
http://gerrit.beaker-project.org/#/c/1669/

Comment 2 Bill Peck 2013-02-14 15:32:20 UTC
Can we include this in 0.12?

Thanks!

Comment 3 Min Shin 2013-02-15 06:17:06 UTC
(In reply to comment #2)
> Can we include this in 0.12?
> 
> Thanks!

As there is a patch already, I will flag this once 0.12 flag is created.

Comment 5 Amit Saha 2013-03-28 01:54:47 UTC
Verified by attempting to import F18 ARMHFP tree on the LC:

$ beaker-import --dry-run --debug http://dl.fedoraproject.org/pub/fedora-secondary/releases/18/Fedora/armhfp/os/
2013-03-27 21:53:52,745 - INFO - distro_import.py - main:1869 - Dry Run only, no data will be sent to beaker
2013-03-27 21:53:52,960 - DEBUG - distro_import.py - Build:1743 -       Importer ComposeInfoLegacy does not match
2013-03-27 21:53:53,156 - DEBUG - distro_import.py - Build:1743 -       Importer ComposeInfo does not match
2013-03-27 21:54:00,855 - DEBUG - distro_import.py - Build:1743 -       Importer TreeInfoLegacy does not match
2013-03-27 21:54:01,263 - DEBUG - distro_import.py - Build:1743 -       Importer TreeInfoRhel5 does not match
2013-03-27 21:54:01,659 - DEBUG - distro_import.py - Build:1743 -       Importer TreeInfoFedora does not match
2013-03-27 21:54:02,060 - DEBUG - distro_import.py - Build:1739 -       Importer TreeInfoFedoraArm Matches
2013-03-27 21:54:02,060 - INFO - distro_import.py - Build:1740 - Attempting to import: http://dl.fedoraproject.org/pub/fedora-secondary/releases/18/Fedora/armhfp/os/
2013-03-27 21:54:03,484 - CRITICAL - distro_import.py - main:1876 - No section: 'images-mvebu-armhfp

Entirely different matter that the .treeinfo lacks the information about one of the platforms.

Comment 6 Dan Callaghan 2013-04-11 04:57:00 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.